@media (min-width: 1200px) {
    .g-xl-20x {
        --bs-gutter-y: 2.5rem;
        --bs-gutter-x: 2.5rem;
    }
}

@media (min-width: 992px) {
    .g-lg-10x {
        --bs-gutter-y: 1.25rem;
        --bs-gutter-x: 1.25rem;
    }

    .weekly-market-prices-info-wrapper .weekly-price-card:not(:nth-child(4n)),
    .product-row .product-item:not(:nth-child(3n)) {
        border-right: 1px solid var(--rule);
    }

    .add-product {
		table-layout: fixed;
	}
}

@media (min-width: 768px) {
    .navbar-wrapper .navbar-expand-md .navbar-nav .nav-link::before {
        content: '';
        width: 0;
        height: 2px;
        background: var(--blue);
        position: absolute;
        left: 0;
        top: calc(100% + 20px);
        transition: 0.3s all;
    }

    .navbar-wrapper .navbar-expand-md .navbar-nav .nav-link.active::before {
        width: 100%;
    }

    .footer-brand p {
        max-width: 17.5rem;
    }

    .step-card:not(.step-card-secondary)::before {
        content: '';
        position: absolute;
        top: 1.75rem;
        left: 0%;
        width: 100%;
        height: 1px;
        background: repeating-linear-gradient(90deg, var(--rule-strong) 0 6px, transparent 6px 12px);
        z-index: 0;
    }

    .step-card:not(.step-card-3)::before {
        width: calc(100% + 3rem);
    }
}

@media (min-width: 576px) {
    .principle-wrapper .principle:not(:last-child) {
        border-right: 1px solid var(--rule-strong);
    }
}

@media (max-width: 1199.98px) {
    .certificate-item {
		width: calc(20% - 0.875rem);
	}
}

@media (max-width: 991.98px) {
    .about-banner-desc {
        grid-template-columns: 1fr;
        gap: 1.25rem;
    }

    .principle {
        padding: 1.25rem;
    }

    .add-product .input-wrapper .form-select {
        min-width: 180px;
    }
}

@media (max-width: 767.98px) {
    .principle-wrapper .principle:nth-child(2n) {
        border-right: 0;
    }

    .certificate-item {
		width: calc(25% - 0.875rem);
	}
}

@media (max-width: 575.98px) {
    .w-sm-100 {
        width: 100% !important;
    }

    .principle {
        padding: 0.75rem 0;
    }

    .cerficates-wrapper {
		gap: 0.75rem;
	}

	.certificate-item {
		width: calc((100% / 3) - 0.75rem);
	}
}

@media (576px <= width <= 991.98px) {
    .product-row .product-item:not(:nth-child(2n)) {
        border-right: 1px solid var(--rule);
    }
}

@media (768px <= width <= 991.98px) {
    .weekly-market-prices-info-wrapper .weekly-price-card:not(:nth-child(3n)) {
        border-right: 1px solid var(--rule);
    }

    .principle-wrapper .principle:nth-child(3) {
        border-right: 0;
    }

    .principle-wrapper .principle:nth-child(4) {
        padding-left: 0;
    }
}

@media (576px <= width <= 767.98px) {
    .weekly-market-prices-info-wrapper .weekly-price-card:not(:nth-child(2n)) {
        border-right: 1px solid var(--rule);
    }

    .principle-wrapper .principle:nth-child(odd) {
        padding-left: 0;
    }
}